#### D.13.5.1 realizationDim

Procedure from library `realizationMatroids.lib` (see realizationMatroids_lib).

Usage:
  realizationDim(I,C); where I is a homogeneous linear ideal defining the projective plane Y = V(I) and C is a list of intvectors such that each intvector represents a one-dimensional cone in the tropical fan curve whose relative realizability should be checked. This representation is done in the following way: the one-dimensional cone K is represented by a vector w whose equivalence class [w] in R^n/<1> can be written as [w] = m*[v] where [v] is the primitive generator of K and m is the weight of K.

Returns:
  the dimension of the relative realization space of the tropical curve C with respect to Y, and -1 if the relative realization space is empty.

Example:

    LIB "realizationMatroids.lib";
    ring r = 0,(x(1..4)),dp;
    ideal I = x(1)+x(2)+x(3)+x(4);
    list C = list(intvec(2,2,0,0),intvec(0,0,2,1),intvec(0,0,0,1));
    //C represents the tropical fan curve which consists of the cones
    //cone([(1,1,0,0)]) (with weight 2), cone([(0,0,2,1)]) (with weight 1)
    //and cone([(0,0,0,1)]) (with weight 1)
    realizationDim(I,C);
    ==> -1

User manual for Singular version 4.4.1, 2025, generated by texi2html.